MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000758XdebugUsage problems (Wrong Results)public2011-12-14 02:162012-04-22 14:48
Reportertimofey.basanov@gmail.com 
Assigned Toderick 
PriorityhighSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.2.0Fixed in Version2.2.0RC2 
Summary0000758: php_value xdebug.idekey is ignored in .htaccess files
DescriptionI'm using shared server and could not touch php.ini so I'm using only .htaccess for configuration. Also I'm debugging scripts queried not from a browser and I could not set idekey in http request. So I'm trying to set something like 'php_value xdebug.idekey foo' in my '.htaccess' file and it is ignored.
Steps To ReproduceAdd next lines to your .htaccess file:

php_value xdebug.remote_autostart 1
php_value xdebug.remote_enable 1
php_value xdebug.idekey foo

Query any php file from this directory.

See that idekey used is not foo but rather username.
TagsNo tags attached.
Operating SystemLinux
PHP Version5.2.10
Attached Files

- Relationships
duplicate of 0000662closedderick idekey is set to running user 

-  Notes
(0001901)
timofey.basanov@gmail.com (reporter)
2012-02-03 02:26

Looks like it is not always reproducible. Restart of Apache could make this works fine or break this thing.
(0001943)
Vitaly.Mukhin (reporter)
2012-03-01 00:30

For me - restart of Apache doesn't work.

As for bug - that's definately strange behaviour. Why use computer name for overriding xdebug.idekey's local value instead of master value?
(0002035)
derick (administrator)
2012-04-08 22:41

This should be fixed now for 2.1.4 and 2.2.0; please test the latest from github if you want.

- Issue History
Date Modified Username Field Change
2011-12-14 02:16 timofey.basanov@gmail.com New Issue
2012-02-03 02:26 timofey.basanov@gmail.com Note Added: 0001901
2012-03-01 00:30 Vitaly.Mukhin Note Added: 0001943
2012-03-12 16:25 derick Target Version => 2.2.0
2012-04-08 22:41 derick Note Added: 0002035
2012-04-08 22:41 derick Status new => closed
2012-04-08 22:41 derick Assigned To => derick
2012-04-08 22:41 derick Resolution open => fixed
2012-04-08 22:42 derick Relationship added duplicate of 0000662
2012-04-22 14:48 derick Fixed in Version => 2.2.0RC2
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker